Loading...
Searching...
No Matches
gtsam::internal::LieGroup< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::LieGroup< Class >

Both LieGroupTraits and Testable.

Inheritance diagram for gtsam::internal::LieGroup< Class >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< Class >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Class >))
Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< Class >
static TangentVector | Logmap (const Class &m, ChartJacobian Hm=boost::none)
static Class | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Class | Compose (const Class &m1, const Class &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Between (const Class &m1, const Class &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Inverse (const Class &m, ChartJacobian H=boost::none)
static TangentVector | Local (const Class &origin, const Class &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static Class | Retract (const Class &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static Class | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Class, Class::dimension >
static int | GetDimension (const Class &)
Static Public Member Functions inherited from gtsam::Testable< Class >
static void | Print (const Class &m, const std::string &str="")
static bool | Equals (const Class &m1, const Class &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::LieGroupTraits< Class >
typedef lie_group_tag | structure_category
enum | { dimension = Class::dimension }
typedef Class | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Lie.h